Bug 249784

Summary: www/chromium: depends on python 2.x
Product: Ports & Packages Reporter: Steve Wills <swills>
Component: Individual Port(s)Assignee: freebsd-chromium (Nobody) <chromium>
Status: New ---    
Severity: Affects Only Me CC: grahamperrin, rene
Priority: --- Flags: bugzilla: maintainer-feedback? (chromium)
Version: Latest   
Hardware: Any   
OS: Any   
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=249787
Bug Depends on:    
Bug Blocks: 249337    

Description Steve Wills freebsd_committer 2020-09-24 16:36:13 UTC
This port will be removed on 2020-12-31 if not fixed
Comment 1 Rene Ladan freebsd_committer 2020-10-25 14:38:37 UTC
There are some upstream tickets about migrating to Python 3, but it looks like they won't make it in time: https://bugs.chromium.org/p/chromium/issues/detail?id=953884 and all depending tickets.
Comment 2 Graham Perrin 2020-12-23 20:26:23 UTC
(In reply to Steve Wills from comment #0)

Please: will there be some flexibility, or will removal truly occur on 2020-12-31?
Comment 3 Rene Ladan freebsd_committer 2020-12-27 22:45:46 UTC
(In reply to Graham Perrin from comment #2)
We might keep Chromium (and thus Python 2.7) around a bit longer, but no promises yet. The good news is that upstream is working on making it build with Python 3 (see #1).
Comment 4 Graham Perrin 2020-12-29 08:36:24 UTC
Thank you. 

Now starred: 

<https://bugs.chromium.org/p/chromium/issues/detail?id=942720>

> 942720 - Make our code work with Python 3 - chromium
Comment 5 Rene Ladan freebsd_committer 2021-01-02 10:28:38 UTC
(In reply to Graham Perrin from comment #4)
I starred that too :)

Currently they have 5200 priority 1 issues and 25200 priority 2 issues. Python 3 migration is priority 2.
Comment 6 Graham Perrin 2021-01-02 13:41:20 UTC
(In reply to Rene Ladan from comment #5)

I'm not in the habit of making trivial comments in bug trackers, but: 

"Oh"